Bug 839878 - [virtio-win][Netkvm]Netkvm driver cannot be uninstalled on windows 2003 32 bits
[virtio-win][Netkvm]Netkvm driver cannot be uninstalled on windows 2003 32 bits
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: virtio-win (Show other bugs)
5.9
Unspecified Unspecified
high Severity high
: rc
: ---
Assigned To: Yan Vugenfirer
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-13 02:19 EDT by Min Deng
Modified: 2012-07-17 04:19 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-17 04:19:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
failed to uninstall (41.97 KB, image/png)
2012-07-13 02:19 EDT, Min Deng
no flags Details

  None (edit)
Description Min Deng 2012-07-13 02:19:25 EDT
Created attachment 597984 [details]
failed to uninstall

Description of problem:
Uninstalling netkvm driver from windows 2003 32 bits guest,an error message popped up,which told user to restart guest to resolve it.By this way user still cannot uninstall the driver.

Version-Release number of selected component (if applicable):
virtio-win-1.5.3-1.el6_3.noarch.rpm


How reproducible:
Always

Steps to Reproduce:
1.boot up guest with the CLI
  /usr/libexec/qemu-kvm -m 4G -smp 4 -usbdevice tablet -drive file=/home/win2k3-32.qcow2,if=virtio,boot=on,werror=stop,cache=none,format=qcow2,media=disk -net nic,macaddr=00:12:24:56:a7:2f,model=virtio,vlan=0 -net tap,script=/etc/qemu-ifup,vlan=0 -uuid `uuidgen` -cdrom /home/en_win_srv_2003_r2_enterprise_with_sp2_cd1_X13-05460.iso -boot dc -monitor stdio -vnc :10 -fda /home/virtio-win-1.5.3.vfd -drive file=/home/disk1.qcow2,if=virtio,werror=stop,cache=none,format=qcow2,media=disk,serial=ASD
2.install the driver from vfd
3.uninstall it from device manager
  
Actual results:
Failed to uninstall the driver
Expected results:
User uninstall driver successfully

Additional info:
Comment 1 Yan Vugenfirer 2012-07-15 04:49:13 EDT
This is combination of several Windows features .

1. For some reason Windows cannot unload the driver as it is used by some component (should be investigated why in this specific setup as this is not a usual scenario). In this case windows will try to uninstall the driver on reboot.

2. Uninstallation doesn't delete driver package (keep in mind that starting from Vista you do have a checkbox to indicate that you want to permanently remove the driver and delete driver package) and signed driver is silently installed next time the device is detected. The following is true for each one of our drivers.
So even if you didn't have a pop up - you would have installed driver after reboot.

To completely remove the driver delete matching oem<some number>.inf and oem<some number>.pnf from %windir%\inf directory.

Note You need to log in before you can comment on or make changes to this bug.